Status: Closed Start date: 2011-02-10

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 1.1.2   

Description

app/models/mail_handler is useful but not extensibly from plugins.  I think it would be useful if MailHandler were extensible by making

a subclass based on it.

I wrote the attached patch.  This introduces MailHandler#dispatch_to_default which just calls receive_issue by default.  Plugin can

extend the dispatch table by overriding #dispatch_to_default.

Associated revisions

Revision 4820 - 2011-02-12 11:08 - Jean-Baptiste Barth

Introduced MailHandler#dispatch_to_default method to make MailHandler more extensible. #7598

Contributed by Yuki Sonoda

History

#1 - 2011-02-12 11:08 - Jean-Baptiste Barth

- Status changed from New to Resolved

- Assignee set to Jean-Baptiste Barth

- Target version set to 1.1.2

If it makes plugin development easier, let's go. Don't hesitate to tell us if you have ideas about a real API (don't know if it's really needed though).

Applied in r4820, thanks.

#2 - 2011-03-06 13:55 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.1-stable.

#3 - 2011-10-25 12:33 - Shane Proctor

SPAM
